Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api
Interface MonitorCounter

All Superinterfaces:
  java.rmi.Remote

    public interface MonitorCounter

extends java.rmi.Remote

This `MonitorCounter` interface is used to obtain some counters' values, which are calculated from all monitoring contents.

Method Summary
`int` | `getAvgProcessTimeByRpt()` Gets average processing time of all completed reports (in milliseconds).
`int` | `getAvgRptNumsSubmittedByUser()` Gets average amount of submitted reports by all users.
`int` | `getAvgWaitTimeByRpt()` Gets average waiting time of all completed reports (in milliseconds).
`int` | `getCurrentConnectionNums()` Gets current number of Database connections.
`int` | `getFinishedRptNums()` Gets the total number of currently completed reports within the specified maximum saved time and the maximum saved number of reports.
`int` | `getFinishedRptPages()` Gets the total number of currently completed report pages.
`int` | `getRunningRptNums()` Gets the total number of currently running reports.
`int` | `getValidUserSessionNums()` Gets the total number of currently valid user sessions.
`int` | `getWaitingRptNums()` Gets the total number of waiting reports currently waiting to run.

Method Detail

### getWaitingRptNums

    int getWaitingRptNums()
                          throws java.rmi.RemoteException

  Gets the total number of waiting reports currently waiting to run.

  Returns:
    The total number of waiting reports.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getRunningRptNums

    int getRunningRptNums()
                          throws java.rmi.RemoteException

  Gets the total number of currently running reports.

  Returns:
    The total number of running reports.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getFinishedRptNums

    int getFinishedRptNums()
                           throws java.rmi.RemoteException

  Gets the total number of currently completed reports within the specified maximum saved time and the maximum saved number of reports.

  Returns:
    The total number of completed reports.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getFinishedRptPages

    int getFinishedRptPages()
                            throws java.rmi.RemoteException

  Gets the total number of currently completed report pages. This value will be limited by the specified maximum saved time and the maximum saved number of reports.

  Returns:
    The total number of completed report pages.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAvgProcessTimeByRpt

    int getAvgProcessTimeByRpt()
                               throws java.rmi.RemoteException

  Gets average processing time of all completed reports (in milliseconds).

  Returns:
    Average processing time of all completed reports.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAvgWaitTimeByRpt

    int getAvgWaitTimeByRpt()
                            throws java.rmi.RemoteException

  Gets average waiting time of all completed reports (in milliseconds).

  Returns:
    Average waiting time of all completed reports.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getValidUserSessionNums

    int getValidUserSessionNums()
                                throws java.rmi.RemoteException

  Gets the total number of currently valid user sessions.

  Returns:
    The total number of currently valid user sessions.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAvgRptNumsSubmittedByUser

    int getAvgRptNumsSubmittedByUser()
                                     throws java.rmi.RemoteException

  Gets average amount of submitted reports by all users.

  Returns:
    Average number of reports submitted by every user.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCurrentConnectionNums

    int getCurrentConnectionNums()
                                 throws java.rmi.RemoteException

  Gets current number of Database connections.

  Returns:
    Current connection number.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD